Index: sandbox/newExpressoMail/prototype/modules/newMail/js/formatters.js
===================================================================
--- sandbox/newExpressoMail/prototype/modules/newMail/js/formatters.js	(revision 7210)
+++ sandbox/newExpressoMail/prototype/modules/newMail/js/formatters.js	(revision 7265)
@@ -43,7 +43,58 @@
 	} else {
 		date = new Date(timestamp);
-		var b = date.toString().split("T")[0].split("-");
-		var c = b[2] + "/" + b[1] + "/" + b[0];
-		return '<span class="datable">' + c + '</span>';
+		var b = date.toString("dd/MM/yyyy");
+		return '<span class="datable">' + b + '</span>';
 	}
 }
+
+subjectFormatter = function(subject){
+    var formatted = subject ?
+        (subject.length > 40 ? subject.substring(0, 37)+"..." : subject) :
+        "(Rascunho)";
+    return '<span>' + formatted + '</span>';
+}
+
+flags2Class = function(cellvalue, options, rowObject) {
+    var classes = '';
+    cellvalue = cellvalue.split(',');
+    cell = {
+        Unseen: parseInt(cellvalue[0])  ? 'Unseen' : 'Seen',
+        Answered: parseInt(cellvalue[1]) ? 'Answered' : (parseInt(cellvalue[2]) ? 'Forwarded' : ''),
+        Flagged: parseInt(cellvalue[3]) ? 'Flagged' : '',
+        Recent: parseInt(cellvalue[4])  ? 'Recent' : '',
+        Draft: parseInt(cellvalue[5]) ? 'Draft' : ''
+    };
+    for(var flag in cell){
+        classes += '<span class="flags '+ (cell[flag]).toLowerCase() + '"' + (cell[flag] != "" ? 'title="'+ cell[flag]+'"' : '')+'> </span>';
+    }
+
+    // REFAZER LABELS E ACOMPANHAMENTO
+    /*if(rowObject.labels){
+        var titles = [];
+        var count = 0;
+        for(i in rowObject.labels){
+            titles[count] = " "+rowObject.labels[i].name;
+            count++;
+        }
+        titles = titles.join();
+        classes += '<span class="flags labeled" title="'+titles+'"> </span>';
+    }else{
+        classes += '<span class="flags"> </span>';
+    }
+
+    if(rowObject.followupflagged){
+        if(rowObject.followupflagged.followupflag.id < 7){
+            var nameFollowupflag = get_lang(rowObject.followupflagged.followupflag.name);
+        }else{
+            var nameFollowupflag = rowObject.followupflagged.followupflag.name;
+        }
+        if(rowObject.followupflagged.isDone == 1){
+            classes += '<span class="flags followupflagged" title="'+nameFollowupflag+'" style="background:'+rowObject.followupflagged.backgroundColor+';"><img style=" margin-left:-3px;" src="../prototype/modules/mail/img/flagChecked.png"></span>';
+        }else{
+            classes += '<span class="flags followupflagged" title="'+nameFollowupflag+'" style="background:'+rowObject.followupflagged.backgroundColor+';"><img src="../prototype/modules/mail/img/flagEditor.png"></span>';
+        }
+
+    }*/
+
+    return classes;
+}
Index: sandbox/newExpressoMail/prototype/modules/newMail/js/tabs.js
===================================================================
--- sandbox/newExpressoMail/prototype/modules/newMail/js/tabs.js	(revision 7210)
+++ sandbox/newExpressoMail/prototype/modules/newMail/js/tabs.js	(revision 7265)
@@ -1,129 +1,138 @@
-var countID = 2;
 var tab_content = "";
 var tab_role = "";
-var lastIndexSelected = 0;
-/* 
-	method : createTab
-	descrition : create a new tab
-	params : {
-		label : Label of the tab
-		* role : Tab type
-		* content : Content of the tab
-		* href : Tab id 
-		* callback : a function
-	}
-	comments : {
-		#1 : if the user just set the label, a tab with blank content and a dynamic id is created
-		#2 : if a tab with a set href already exists, don't duplicate, this function only select the tab 
-		#3 : if the role is 
-	* = Optional
-*/
 
-function createTab(label, role, content,href, callback){
-	if( !$("#tabs-"+href).length){
-		tab_content = content ? content : "";
-		tab_role = role ? role : "new";
-		countID++;
-		$tabs.wijtabs("add", "#tabs-"+(href ? href : countID), (label.length > 21 ? label.substring(0, 18)+"..." : label));
-		if(typeof(callback) == 'function') 
-			callback($("#ptabs_"+(href ? href : countID)));
-		else
-			return $("#tabs-"+(href ? href : countID));
-	}else{
-		$tabs.wijtabs( "select", indexTab("#tabs-"+href) );
-	}
+var Tab = {
+
+    /*
+     method : createTab
+     descrition : create a new tab
+     params : {
+     label : Label of the tab
+     * role : Tab type
+     * content : Content of the tab
+     * href : Tab id
+     * callback : a function
+     }
+     comments : {
+     #1 : if the user just set the label, a tab with blank content and a dynamic id is created
+     #2 : if a tab with a set href already exists, don't duplicate, this function only select the tab
+     #3 : if the role is
+     * = Optional
+     */
+    create : function(label, role, content,href, callback){
+        if( !$("#tabs-"+href).length){
+            tab_content = content ? content : "";
+            tab_role = role ? role : "new";
+            Tab.count++;
+            $tabs.wijtabs("add", "#tabs-"+(href ? href : Tab.count), (label.length > 21 ? label.substring(0, 18)+"..." : label));
+            if(typeof(callback) == 'function')
+                callback($("#ptabs_"+(href ? href : Tab.count)));
+            else
+                return $("#tabs-"+(href ? href : Tab.count));
+        }else{
+            $tabs.wijtabs( "select", Tab.index("#tabs-"+href) );
+        }
+    },
+
+
+    /*
+     method : removeTab
+     descrition : remove a tab
+     params : {
+     * href : Tab id
+     * callback : a function
+     }
+     comments : {
+     #1 : if the user doesn't set no parameter, this function just remove the open tab
+
+     * = Optional
+     */
+    remove : function(href, callback){
+        $tabs.wijtabs("remove",
+            (
+                href ?
+                    Tab.index(href) : Tab.lastIndexSelected
+                )
+        );
+        if(typeof(callback) == 'function')
+            callback();
+    },
+
+    /*
+     method : Tab.index
+     descrition : return a tab index
+     params : {
+     * href : Tab id
+     }
+     comments : {
+     #1 : if the user doesn't set no parameter, this function just return the index of the open tab
+
+     * = Optional
+     */
+
+    index : function(href){
+        return href ?
+            $( "li", $tabs ).index( $('[href="'+href+'"]').parent() ) : Tab.lastIndexSelected;
+    },
+
+    /*
+     method : idTab
+     descrition : remove a tab id
+     params : {
+     * index : Tab index
+     }
+     comments : {
+     #1 : if the user doesn't set no parameter, this function just return the id of the open tab
+
+     * = Optional
+     */
+
+    id : function(index){
+        return $( ".ui-tabs-panel", $tabs ).eq((index ? index : Tab.index())).attr("id");
+    },
+
+    getData : function(index){
+        return {
+            id : parseInt(Tab.id(index).substring(6).split("_r_")[0]),
+            folder : Base64.decode(idTab(index).substring(6).split("_r_")[1]),
+            role : Tab.getRole(index),
+            header : Tab.getHeader(index),
+            content : Tab.getContent(index)
+        };
+    },
+
+    getHeader : function(index){
+        return $( $tabs ).find('[href="#'+$( ".ui-tabs-panel", $tabs ).eq((index ? index : Tab.index())).attr("id")+'"]').parent();
+    },
+
+    getRole: function(index){
+        return Tab.getContent(index).attr("role");
+    },
+
+    getContent: function(index){
+        return $( ".ui-tabs-panel", $tabs ).eq((index ? index : Tab.index()));
+    },
+
+    setFolderTotal: function(value){
+        Tab.getHeader(0).find(".folder-tab-total-msgs-number").html(parseInt(value) ? value : 0);
+    },
+
+    setFolderUnread: function(value){
+        Tab.getHeader(0).find(".folder-tab-new-msgs-number").html(parseInt(value) ? value : 0);
+        if(parseInt(value))
+            $("title").html($("title").html() +" ("+value+")");
+    },
+
+    setFolderName: function(value){
+        Tab.getHeader(0).find(".folder-tab-name").html(value);
+        $("title").html(value);
+    },
+
+    lastIndexSelected : 0,
+
+    count: 2,
+
+    roles : [
+        "new", "draft", "search", "message", "folder"
+    ]
 }
-
-/* 
-	method : removeTab
-	descrition : remove a tab
-	params : {
-		* href : Tab id 
-		* callback : a function
-	}
-	comments : {
-		#1 : if the user doesn't set no parameter, this function just remove the open tab
-
-	* = Optional
-*/
-
-function removeTab(href, callback){
-	$tabs.wijtabs("remove", 
-		(
-			href ? 
-			indexTab(href) : lastIndexSelected
-		)
-	);
-	if(typeof(callback) == 'function') 
-		callback();
-}
-
-/* 
-	method : indexTab
-	descrition : return a tab index
-	params : {
-		* href : Tab id 
-	}
-	comments : {
-		#1 : if the user doesn't set no parameter, this function just return the index of the open tab
-
-	* = Optional
-*/
-
-function indexTab(href){
-	return href ? 
-		$( "li", $tabs ).index( $('[href="'+href+'"]').parent() ) : lastIndexSelected;
-}
-
-/*
- method : idTab
- descrition : remove a tab id
- params : {
- * index : Tab index
- }
- comments : {
- #1 : if the user doesn't set no parameter, this function just return the id of the open tab
-
- * = Optional
- */
-
-function idTab(index){
-    return $( ".ui-tabs-panel", $tabs ).eq((index ? index : indexTab())).attr("id");
-}
-
-function getTabData(index){
-	return {
-		id : parseInt(idTab(index).substring(6).split("_r_")[0]),
-		folder : Base64.decode(idTab(index).substring(6).split("_r_")[1]),
-		role : getTabRole(index),
-		header : getTabHeader(index),
-		content : getTabContent(index)
-	};
-}
-
-function getTabHeader(index){
-    return $( $tabs ).find('[href="#'+$( ".ui-tabs-panel", $tabs ).eq((index ? index : indexTab())).attr("id")+'"]').parent();
-}
-
-function getTabRole(index){
-	return getTabContent(index).attr("role");
-}
-
-function getTabContent(index){
-	return $( ".ui-tabs-panel", $tabs ).eq((index ? index : indexTab()));
-}
-
-function setFolderTabTotal(value){
-	getTabHeader(0).find(".folder-tab-total-msgs-number").html(parseInt(value) ? value : 0);
-}
-
-function setFolderTabTotalUnread(value){
-	getTabHeader(0).find(".folder-tab-new-msgs-number").html(parseInt(value) ? value : 0);	
-	if(parseInt(value))
-		$("title").html($("title").html() +" ("+value+")");
-}
-
-function setFolderTabName(value){
-	getTabHeader(0).find(".folder-tab-name").html(value);	
-	$("title").html(value);
-}
Index: sandbox/newExpressoMail/prototype/modules/newMail/js/alerts.js
===================================================================
--- sandbox/newExpressoMail/prototype/modules/newMail/js/alerts.js	(revision 7265)
+++ sandbox/newExpressoMail/prototype/modules/newMail/js/alerts.js	(revision 7265)
@@ -0,0 +1,58 @@
+window.alert = function(message, strong, title, callback) {
+    $.Zebra_Dialog("<b>"+(strong ? strong : '')+ " </b>" + message,{
+        'type':     'error',
+        'title':    title ? title : '',
+        'overlay_opacity': '0.5',
+        'onClose': function(caption){
+            if(typeof(callback) == 'function')
+                callback();
+        }
+    });
+    zebraKeyboard();
+};
+
+window.confirm = function(message, callback, strong, title) {
+    if(typeof(callback) == 'function'){
+        $.Zebra_Dialog("<b>"+(strong ? strong : '')+ " </b>" + message,{
+            'type':     'question',
+            'title':    title ? title : '',
+            'buttons':  ['Sim', 'Não'],
+            'overlay_opacity': '0.5',
+            'onClose': function(caption){
+                callback(caption == "Sim" ? true : false);
+            }
+        });
+    }
+    zebraKeyboard();
+};
+
+window.warning = function(){
+
+};
+
+function zebraKeyboard(){
+    $(".ZebraDialog:last .ZebraDialog_Buttons").attr("tabindex", "0").focus().keydown(function(e){
+        var selected = $(".ZebraDialog:last .ZebraDialog_Buttons .ZebraDialog_ButtonSelected");
+        switch (e.keyCode){
+            case $.ui.keyCode.ENTER:{
+                selected.click();
+                break;
+            }
+            case $.ui.keyCode.LEFT:{
+                if(selected.next("a").length){
+                    selected.next().addClass("ZebraDialog_ButtonSelected");
+                    selected.removeClass("ZebraDialog_ButtonSelected");
+                }
+                break;
+            }
+            case $.ui.keyCode.RIGHT:{
+                if(selected.prev("a").length){
+                    selected.prev().addClass("ZebraDialog_ButtonSelected");
+                    selected.removeClass("ZebraDialog_ButtonSelected");
+                }
+                break;
+            }
+        };
+    }).find(".ZebraDialog_Button0").addClass("ZebraDialog_ButtonSelected");
+    $(".ZebraDialog:last").click(function(){$(".ZebraDialog:last .ZebraDialog_Buttons").focus();})
+}
Index: sandbox/newExpressoMail/prototype/modules/newMail/js/folder.js
===================================================================
--- sandbox/newExpressoMail/prototype/modules/newMail/js/folder.js	(revision 7210)
+++ sandbox/newExpressoMail/prototype/modules/newMail/js/folder.js	(revision 7265)
@@ -1,8 +1,64 @@
-function changeFolder(folder, name){
-	var messages = DataLayer.get("message", {criteria: {folder: folder, rows: 999999}}, true);
-	Grid.jqGrid('clearGridData').jqGrid('setGridParam',{data:messages.rows}).trigger("reloadGrid");
-	setFolderTabName(name);
-	setFolderTabTotal(messages.records);
-	//TO-DO:: TROCAR ESSE METODO POR ALGUM LUGAR MAIS SEGURO
-	setFolderTabTotalUnread($("[id='"+folder+"']").find(".folder_unseen").html());
+dashes = /\//gi;
+
+var Folder = {
+    open : 'INBOX',
+
+    remove : function(id, callback){
+        DataLayer.remove("folder", id);
+        DataLayer.commit(false, false, callback);
+    },
+
+    rename : function(id, value, callback){
+        DataLayer.put("folder", {id:id, new:value});
+        DataLayer.commit(false, false, callback);
+    },
+
+    create : function(id, path,callback){
+        DataLayer.put("folder", {name:id, path:path});
+        DataLayer.commit(false, false, callback);
+    },
+
+    move : function (id, value){
+
+    },
+
+    exportMessages : function(id, callback){
+
+    },
+
+    change : function(id, title){
+        var data = DataLayer.get("folder", {criteria:{folder:id} }, true)[0];
+        Tab.setFolderTotal(data.messageCount.total);
+        Tab.setFolderUnread(data.messageCount.unseen);
+        Tab.setFolderName(title ? title : data.commonName);
+        Folder.open = id;
+        Grid.jqGrid('clearGridData')
+            .jqGrid('setGridParam', {
+                url:  BASE_PATH+'REST.php?q=folder/'+id.replace(dashes, '.')+'/message'
+            })
+            .trigger('reloadGrid',
+            [{
+                page: 1
+            }]
+        );
+    },
+
+    acl : function(id){
+
+    },
+
+    info : function(id){
+        return DataLayer.get("folder", {criteria:{folder:(id ? id : Folder.open)} }, true)[0];
+    },
+    special : {},
+    init: function(){
+        this.special[imap_configs.imapDefaultDraftsFolder] = "Rascunhos";
+        this.special[imap_configs.imapDefaultSentFolder] = "Enviados";
+        this.special[imap_configs.imapDefaultSpamFolder] = "Spam";
+        this.special[imap_configs.imapDefaultTrashFolder] = "Lixeira";
+    },
+
+    delimiter : imap_configs.imapDelimiter
 }
+
+Folder.init();
Index: sandbox/newExpressoMail/prototype/modules/newMail/js/init.js
===================================================================
--- sandbox/newExpressoMail/prototype/modules/newMail/js/init.js	(revision 7210)
+++ sandbox/newExpressoMail/prototype/modules/newMail/js/init.js	(revision 7265)
@@ -1,143 +1,166 @@
+var BASE_PATH = '../prototype/';
+
 $(document).ready(function() {
 
-	Layout = $('#wrap').layout({ 
-		applyDefaultStyles: true,
-		north__size:		'auto',
-		north__closable:	false, 
-		north__resizable:	false,
-		north__slidable:	false, 
-		west__resizable:	false,
-		west__slidable:	false,
-		center__maxSize : 0
-	});
+    Layout = $('#wrap').layout({
+        applyDefaultStyles: true,
+        north__size:		'auto',
+        north__closable:	false,
+        north__resizable:	false,
+        north__slidable:	false,
+        west__resizable:	false,
+        west__slidable:	false,
+        center__maxSize : 0
+    });
 
-	$tabs = $("#tabs").wijtabs({ 
-		tabTemplate: "<li role='tab' style='cursor: pointer;'><a href='#{href}'>#{label}</a><span class='ui-icon tab-close ui-icon-close close' title='Fechar Aba'>Fechar Aba</span></li>", 
-		panelTemplate: "<div id='{href}'></div>",
-		add: function( event, ui ) { 
-		        $tabs.wijtabs('select', '#' + $tabs.find("div:last").attr("id")); 
-	         	$tabs.find("span.tab-close:last").hover(function(){$(this).toggleClass("ui-icon-circle-close ui-icon-close");}, function(){$(this).toggleClass("ui-icon-circle-close ui-icon-close");})
-		        $tabs.find("div:last").addClass("conteudo").attr("role", tab_role).append(tab_content); 
-		},
-		show: function(event, ui){
-			switch($( ui.panel ).attr("role")){
-				case "new":
-				case "search":
-					$("#footer_menu").hide();
-					break;
-				case "message":
-				case "draft":
-				case "folder":
-					$("#footer_menu").show();
-					break;
-			}
-		},
-		select: function(event, ui) { 
-			lastIndexSelected = ui.index;
-		},
-		scrollable: true,
-		sortable: true,
-        hideOption: { 
-        	blind: true, 
-        	fade: false, 
-        	duration: 200
-       	},
-       	showOption: {
-       		blind: true, 
-       		fade: false, 
-       		duration: 200
-       	}
-	});	
+    $tabs = $("#tabs").wijtabs({
+        tabTemplate: "<li role='tab' style='cursor: pointer;'><a href='#{href}'>#{label}</a><span class='ui-icon tab-close ui-icon-close close' title='Fechar Aba'>Fechar Aba</span></li>",
+        panelTemplate: "<div id='{href}'></div>",
+        add: function( event, ui ) {
+            $tabs.wijtabs('select', '#' + $tabs.find("div:last").attr("id"));
+            $tabs.find("span.tab-close:last").hover(function(){$(this).toggleClass("ui-icon-circle-close ui-icon-close");}, function(){$(this).toggleClass("ui-icon-circle-close ui-icon-close");})
+            $tabs.find("div:last").addClass("conteudo").attr("role", tab_role).append(tab_content);
+        },
+        show: function(event, ui){
+            switch($( ui.panel ).attr("role")){
+                case "new":
+                case "search":
+                    $("#footer_menu").hide();
+                    break;
+                case "message":
+                case "draft":
+                case "folder":
+                    $("#footer_menu").show();
+                    break;
+            }
+        },
+        select: function(event, ui) {
+            lastIndexSelected = ui.index;
+        },
+        scrollable: true,
+        sortable: true,
+        hideOption: {
+            blind: true,
+            fade: false,
+            duration: 200
+        },
+        showOption: {
+            blind: true,
+            fade: false,
+            duration: 200
+        }
+    });
 
-	draw_new_tree_folder();
+    draw_new_tree_folder();
 
-	$(".new-message-button").button({
-		icons: {
-			secondary : "ui-icon-plusthick"
-		}
-	});
+    $(".new-message-button").button({
+        icons: {
+            secondary : "ui-icon-plusthick"
+        }
+    });
 
-	var messages = DataLayer.get("message", {criteria : {folder: 'INBOX', rows: 999999}}, true);
+    var messages = DataLayer.get("message", {criteria : {folder: 'INBOX', rows: 999999}});
 
-	$('.button.config-menu').button({
-	    icons: {
-			primary: "ui-icon-gear",
-			secondary: "ui-icon-triangle-1-s"
-	    },
-	    text: false
-	});
+    $('.button.config-menu').button({
+        icons: {
+            primary: "ui-icon-gear",
+            secondary: "ui-icon-triangle-1-s"
+        },
+        text: false
+    });
 
-	var menus = $(".main-menus-content").clone();
-	$(".main-menus-content").remove();
+    var menus = $(".main-menus-content").clone();
+    $(".main-menus-content").remove();
 
-	$(".this-module").button().next().button({
-		icons :{
-			primary: "ui-icon-triangle-1-s"
-		},
-		text: false
-	}).parent().buttonset();
+    $(".this-module").button().next().button({
+        icons :{
+            primary: "ui-icon-triangle-1-s"
+        },
+        text: false
+    }).parent().buttonset();
 
-	$(".this-module").parent().append(menus);
+    $(".this-module").parent().append(menus);
 
-	$('.this-module').next().menu({
-		content: $('.main-menus-content').html(),
-		positionOpts: {
-			posX: 'left', 
-			posY: 'bottom',
-			offsetX: -140,
-			offsetY: 0,
-			directionH: 'right',
-			directionV: 'down', 
-			detectH: true, // do horizontal collision detection  
-			detectV: true, // do vertical collision detection
-			linkToFront: false
-		},
-		flyOut: true,
-		showSpeed: 100,
-		crumbDefaultText: '>'
-	});
+    $('.this-module').next().menu({
+        content: $('.main-menus-content').html(),
+        positionOpts: {
+            posX: 'left',
+            posY: 'bottom',
+            offsetX: -140,
+            offsetY: 0,
+            directionH: 'right',
+            directionV: 'down',
+            detectH: true, // do horizontal collision detection
+            detectV: true, // do vertical collision detection
+            linkToFront: false
+        },
+        flyOut: true,
+        showSpeed: 100,
+        crumbDefaultText: '>'
+    });
 
-	$('.block-horizontal-toolbox .main-config-menu').menu({
-		content: $('.main-config-menu-content').html(),
-		positionOpts: {
-			posX: 'left', 
-			posY: 'bottom',
-			offsetX: -140,
-			offsetY: 0,
-			directionH: 'right',
-			directionV: 'down', 
-			detectH: true, // do horizontal collision detection  
-			detectV: true, // do vertical collision detection
-			linkToFront: false
-		},
-		flyOut: true,
-		showSpeed: 100,
-		crumbDefaultText: '>'
-	});
-	setFolderTabName("Caixa de Entrada");
-	$(".folder-tab-total-msgs-number").html(messages.records);
-	setFolderTabTotalUnread($("#INBOX").find(".folder_unseen").html());
-	Grid = $("#imap-folder-table-messages").jqGrid({
-		datatype: "local",
-		data: messages.rows,
-		colNames:['#',' ', 'De', 'Assunto', 'Data', 'Tamanho'],
-		colModel:[
-			{name:'msg_number',index:'msg_number', width:45, hidden:true, sortable:false},
-			{name:'flags',index:'msg_number',edittype: 'image', width:60, sortable:false, title :false},
-			{name:'from.name',index:'msg_number', width:100, sortable:true},
-			{name:'subject',index:'subject', width:245, sortable:true},
-			{name:'timestamp',index:'timestamp', width:65, align:"center", sortable:true},
-			{name:'size',index:'size', width:55, align:"center", sortable:true, formatter: bytes2Size}
-		],
-		rowNum:50,
-		rowList:[10,25,50],
-		pager: "#imap-folder-table-pager",
-		sortorder: "desc",
-		multiselect: true,
-		autowidth: true,
-		height : '85.5%',
-		emptyrecords: 'A pasta nao contem nenhuma mensagem.',
-		viewrecords: true
-	});
-	Grid.jqGrid('bindKeys', {"onEnter":function( rowid ) { alert("You enter a row with id:"+rowid)} });
+    $('.block-horizontal-toolbox .main-config-menu').menu({
+        content: $('.main-config-menu-content').html(),
+        positionOpts: {
+            posX: 'left',
+            posY: 'bottom',
+            offsetX: -140,
+            offsetY: 0,
+            directionH: 'right',
+            directionV: 'down',
+            detectH: true, // do horizontal collision detection
+            detectV: true, // do vertical collision detection
+            linkToFront: false
+        },
+        flyOut: true,
+        showSpeed: 100,
+        crumbDefaultText: '>'
+    });
+    Tab.setFolderName("Caixa de Entrada");
+    $(".folder-tab-total-msgs-number").html(messages.records);
+    Tab.setFolderUnread($("#INBOX").find(".folder_unseen").html());
+    Grid = $("#imap-folder-table-messages").jqGrid({
+        url:BASE_PATH + 'REST.php?q=folder/INBOX/message',
+        datatype: "json",
+        colNames:['#',' ', 'De', 'Assunto', 'Data', 'Tamanho'],
+        colModel:[
+            {name:'msg_number',index:'msg_number', width:45, hidden:true, sortable:false},
+            {name:'flags',index:'msg_number',edittype: 'image', width:60, formatter:flags2Class, sortable:false, title :false},
+            {name:'from.name',index:'SORTFROM', width:100, sortable:true, formatter:subjectFormatter},
+            {name:'subject',index:'SORTSUBJECT', width:245, sortable:true},
+            {name:'timestamp',index:'SORTARRIVAL', width:65, align:"center", sortable:true, formatter: date2Time},
+            {name:'size',index:'SORTSIZE', width:55, align:"center", sortable:true, formatter: bytes2Size}
+        ],
+        jsonReader : {
+            root:"rows",
+            page: "page",
+            total: "total",
+            records: "records",
+            repeatitems: false,
+            id: "0"
+        },
+        rowNum:50,
+        rowList:[10,25,50],
+        pager: "#imap-folder-table-pager",
+        sortorder: "desc",
+        multiselect: true,
+        autowidth: true,
+        height : '85.5%',
+        emptyrecords: 'A pasta nao contem nenhuma mensagem.',
+        viewrecords: true,
+        loadComplete: function(data) {
+            lastLoadedMessages = data.rows;
+
+            // aplica o contador
+            $('.timable').each(function (i) {
+                $(this).countdown({
+                    since: new Date(parseInt(this.title)),
+                    significant: 1,
+                    layout: 'h&aacute; {d<}{dn} {dl} {d>}{h<}{hn} {hl} {h>}{m<}{mn} {ml} {m>}{s<}{sn} {sl}{s>}',
+                    description: ' atr&aacute;s'
+                });
+            });
+        }
+    });
+    Grid.jqGrid('bindKeys', {"onEnter":function( rowid ) { alert("You enter a row with id:"+rowid)} });
 });
